"""
Global utility functions.
"""

from IPython.display import HTML


def add_styles():
    css = HTML("""
<style>
    .jp-MarkdownCell {
        margin-top: .5em;
    }
    .jp-RenderedHTMLCommon hr {
        margin-top: 1.5em;
    }
    hr + p:has(strong) {
        font-weight: bold;
        font-size: 1.1em;
        color: #0000AA;
    }
    hr + p:has(strong)::before {
        content: "📝 ";
    }
    hr + p:has(em) {
        font-weight: bold;
        font-size: 1em;
        color: #009900;
    }
    hr + p:has(em)::before {
        content: "💡 ";
    }
</style>
""")
    return css
